<?xml version="1.0" encoding="utf-8"?>
<configuration>
	<configSections>
		<!-- For more information on Entity Framework configuration, visit http://go.microsoft.com/fwlink/?LinkID=237468 -->
		<section name="entityFramework" type="System.Data.Entity.Internal.ConfigFile.EntityFrameworkSection, EntityFramework, Version=6.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false"/>
	</configSections>
	<connectionStrings>
		<add name="ATEContext" connectionString="data source=Database\ATE.sqlite;Version=3" providerName="System.Data.SQLite"/>
		<add name="ATEContext_Central" providerName="System.Data.SqlClient" connectionString="Server=175.24.1.83\dev;Database=ATE_31X0E_V01_00_00;persist security info=True;user id=thangt;password=innova123;MultipleActiveResultSets=True;"/>

	</connectionStrings>
	<startup>
		<supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.8"/>
	</startup>
	<appSettings>
  <add key="UseSettingsDb" value="false" />
  <add key="Language" value="English" />
  <add key="LogVehicleDataForAllLanguages" value="true" />
  <add key="ConversionGroup" value="" />
  <add key="TargetUsbProductId" value="T3240International" />
  <add key="DelayMillisecondsBeforeTestingProtocols" value="4000" />
  <add key="UsbInitializationDelay" value="0" />
  <add key="SupportSerialScanning" value="False" />
  <add key="SupportProtocolsTest" value="False" />
  <add key="SupportToolsConversion" value="False" />
  <add key="SupportFirmwareUpgrade" value="True" />
  <add key="SupportIncreamentalUpgrade" value="False" />
  <add key="SupportAZSpecialFirmware" value="False" />
  <add key="SupportManuallyFirmwareUpgrade" value="False" />
  <add key="SupportLCDTest" value="False" />
  <add key="SupportLEDTest" value="False" />
  <add key="SupportBuzzerTest" value="False" />
  <add key="SupportKeysTest" value="False" />
  <add key="SupportBLETest" value="False" />
  <add key="SupportWifiTest" value="False" />
  <add key="DefaultWifiSSID" value="TT" />
  <add key="DefaultWifiPassword" value="12345678" />
  <add key="SupportWriteNewGuid" value="True" />
  <add key="KeepCurrentGuid" value="False" />
  <add key="SupportClearData" value="True" />
  <add key="SupportResetSettings" value="False" />
  <add key="SupportClearToolSettings" value="True" />
  <add key="SupportShowVehicleData" value="False" />
  <add key="SupportWriteCustomerId" value="False" />
  <add key="CustomerId" value="9" />
  <add key="SupportHardwareGroupOrProductId" value="T3240International" />
  <add key="password" value="work@home" />
  <add key="UsbTesterApplicationName" value="Innova ATE Tester" />
  <add key="UsbTesterVersion" value="(0x17B) 3240 International" />
  <add key="UsbTesterFirmware" value="" />
  <add key="ShowSystemInfo" value="false" />
  <add key="OnlyShowMinimumVehicleData" value="false" />
  <add key="AutoExpandedVehicleData" value="false" />
  <add key="DTCDatabaseFileName" value="PCLink_DTC.sdf" />
  <add key="ChineseDTCDatabaseFileName" value="PCLink_DTC_CN.sdf" />
  <add key="VietnamDTCDatabaseFileName" value="PCLink_DTC_VN.sdf" />
 </appSettings>


	<system.data>
		<DbProviderFactories>
			<remove invariant="System.Data.SQLite"/>
			<add name="SQLite Data Provider" invariant="System.Data.SQLite" description=".Net Framework Data Provider for SQLite" type="System.Data.SQLite.SQLiteFactory, System.Data.SQLite"/>
			<remove invariant="System.Data.SQLite.EF6"/>
			<add name="SQLite Data Provider (Entity Framework 6)" invariant="System.Data.SQLite.EF6" description=".Net Framework Data Provider for SQLite (Entity Framework 6)" type="System.Data.SQLite.EF6.SQLiteProviderFactory, System.Data.SQLite.EF6"/>
		</DbProviderFactories>
	</system.data>
	<entityFramework>
		<defaultConnectionFactory type="System.Data.Entity.Infrastructure.SqlConnectionFactory, EntityFramework"/>
		<providers>
			<provider invariantName="System.Data.SQLite" type="System.Data.SQLite.EF6.SQLiteProviderServices, System.Data.SQLite.EF6"/>
			<provider invariantName="System.Data.SqlClient" type="System.Data.Entity.SqlServer.SqlProviderServices, EntityFramework.SqlServer"/>
		</providers>
	</entityFramework>
</configuration>
